summaryrefslogtreecommitdiff
path: root/pcr/xwinwrap
diff options
context:
space:
mode:
authorGaming4JC <g4jc@openmailbox.org>2015-08-01 21:00:07 -0400
committerGaming4JC <g4jc@openmailbox.org>2015-08-01 21:00:07 -0400
commitb8f843a1dd8e9c0230f4688d41ea584e8a00da36 (patch)
tree499af503d98254cfbd2e4bb2d920ed89c620113c /pcr/xwinwrap
parent47646ffd094a1f777615e2a7cdcef057067e3084 (diff)
more fixes to xwinwrap
Diffstat (limited to 'pcr/xwinwrap')
-rw-r--r--pcr/xwinwrap/PKGBUILD24
-rw-r--r--pcr/xwinwrap/PKGBUILD.sigbin0 -> 543 bytes
2 files changed, 17 insertions, 7 deletions
diff --git a/pcr/xwinwrap/PKGBUILD b/pcr/xwinwrap/PKGBUILD
index 1c2a6dc0e..3c617fcd4 100644
--- a/pcr/xwinwrap/PKGBUILD
+++ b/pcr/xwinwrap/PKGBUILD
@@ -16,13 +16,23 @@ depends=('libxext' 'libxrender')
provides=('xwinwrap')
conflicts=('xwinwrap')
makedepends=('make')
-
+validpgpkeys=('CB6E213A349B8DF9E96B622AC3F4FFCF3EAE8697') # PKGBUILD Maintainer's key
source=('https://bazaar.launchpad.net/~shantanu-goel/xwinwrap/devel/download/shantanu.goel%40gmail.com-20081018102932-9a50c8t7sa40ihkx/makefile-20080824172326-ckr2ck4kremspqqc-1/Makefile'
-'https://bazaar.launchpad.net/~shantanu-goel/xwinwrap/devel/download/shantanu.goel%40gmail.com-20090215112845-2e2mb6202tzwa4vb/xwinwrap.c-20080824172326-ckr2ck4kremspqqc-2/xwinwrap.c')
+'https://bazaar.launchpad.net/~shantanu-goel/xwinwrap/devel/download/shantanu.goel%40gmail.com-20090215112845-2e2mb6202tzwa4vb/xwinwrap.c-20080824172326-ckr2ck4kremspqqc-2/xwinwrap.c'
+'PKGBUILD'
+'PKGBUILD.sig')
sha512sums=('4465aa846bf7cda3826e2d01a1c768de9099cbefbfa0fa891c46b056e369362b9e372546ed5b535fa89e6fdae6eb903f10750c4535408794be269eb7db40aae0'
- 'e9d9a7489e11d5c6eee86970df4b5d6ee2cb87b512dc80bce2edcc429757371562495de3a98f0cd16a9cba8423e0c37efad9b925f94e12bf287cf6f94d49ee1c')
-whirlpoolsums=('4b86c028b960d59f1c97545173fe51bb6d159cbeb0bd141a99c9debaa64f056ae08f5541a058a787d331dcdfa78c406ed242a426c1f4390dbf8afa3e4537fdea'
-'3186c04e3822c1655e22a00253e1bf4980f3065a026074647f60b38b330db9e13fd5e3f15c5f5f4a3bd6c286460054cddf2ad43b371798ef96d741f648309785')
+ 'e9d9a7489e11d5c6eee86970df4b5d6ee2cb87b512dc80bce2edcc429757371562495de3a98f0cd16a9cba8423e0c37efad9b925f94e12bf287cf6f94d49ee1c'
+ 'SKIP'
+ 'SKIP')
+whirlpoolsums=('868a394e2e34cc3d8798967c9bf1fe78f96de991ac38bfe39b854682e4fce40ae739766301daf2c5001e5db8a420af770434ea446384c06d440361e0959f519e'
+ '3186c04e3822c1655e22a00253e1bf4980f3065a026074647f60b38b330db9e13fd5e3f15c5f5f4a3bd6c286460054cddf2ad43b371798ef96d741f648309785'
+ 'SKIP'
+ 'SKIP')
+
+prepare(){
+sed -i "s/-lX11/-mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -lX11/" Makefile ## Stronger compilation security
+}
build() {
cd ${srcdir}
@@ -35,8 +45,8 @@ build() {
package() {
cd ${srcdir}
if [ "$CARCH" == "i686" ]; then
- install -D -m0755 ${srcdir}/xwinwrap/i386/xwinwrap ${pkgdir}/usr/bin/xwinwrap || return 1
+ install -D -m0755 ${srcdir}/i386/xwinwrap ${pkgdir}/usr/bin/xwinwrap || return 1
else
- install -D -m0755 ${srcdir}/xwinwrap/x86_64/xwinwrap ${pkgdir}/usr/bin/xwinwrap || return 1
+ install -D -m0755 ${srcdir}/x86_64/xwinwrap ${pkgdir}/usr/bin/xwinwrap || return 1
fi
}
diff --git a/pcr/xwinwrap/PKGBUILD.sig b/pcr/xwinwrap/PKGBUILD.sig
new file mode 100644
index 000000000..ab27b4f60
--- /dev/null
+++ b/pcr/xwinwrap/PKGBUILD.sig
Binary files differ